package com.ffii.fpsms.modules.master.web.models

import jakarta.validation.constraints.NotBlank
import jakarta.validation.constraints.NotNull
import java.time.LocalDateTime

enum class ItemType(val type: String) {
    MATERIAL("mat"),
    BY_PRODUCT("byp"),
    PRODUCT("product"),
    CONSUMABLE("consumables"),
}
data class NewItemRequest(
    @field:NotBlank(message = "material code cannot be empty")
    val code: String,
    @field:NotBlank(message = "material name cannot be empty")
    val name: String,
    @field:NotNull(message = "typeId cannot be null")
    val type: ItemType,

    val id: Long?,
    val description: String?,
    val remarks: String?,
    val shelfLife: Double?,
    val countryOfOrigin: String?,
    val maxQty: Double?,
    val m18Id: Long?,
    val m18LastModifyDate: LocalDateTime?,
//    val type: List<NewTypeRequest>?,
//    val uom: List<NewUomRequest>?,
//    val weightUnit: List<NewWeightUnitRequest>?,
)

